Israel companies search
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-il-companies-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyword": "טבע תעשיות",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-il-companies-search"
payload = {
"keyword": "טבע תעשיות",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({keyword: 'טבע תעשיות', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-il-companies-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "il_companies_search",
"keyword": "טבע תעשיות",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Israel — Corporations Authority — company search\n\n- **Keyword:** טבע תעשיות\n- **Results:** 2 of 3 found\n- **Proxy traffic:** 2.1 KB",
"machine": {
"total_items": 2,
"first_item": {
"registration_number": "520013954",
"name": "טבע תעשיות פרמצבטיות בע\"מ",
"status": "פעילה",
"address": "דבורה הנביאה 124, תל אביב - יפו, 6944020",
"url": null,
"company_type": "ישראלית",
"incorporation_date": "1944-02-13",
"name_en": "TEVA PHARMACEUTICAL INDUSTRIES LIMITED",
"sub_status": null,
"liability": "מוגבלת",
"entity_kind": "חברה",
"last_annual_report_year": 2006,
"violates_law": null,
"purpose": "לעסוק בסוגי עיסוק שפורטו בתקנון",
"description": null,
"government_company": false
},
"items": [
{
"registration_number": "520013954",
"name": "טבע תעשיות פרמצבטיות בע\"מ",
"status": "פעילה",
"address": "דבורה הנביאה 124, תל אביב - יפו, 6944020",
"url": null,
"company_type": "ישראלית",
"incorporation_date": "1944-02-13",
"name_en": "TEVA PHARMACEUTICAL INDUSTRIES LIMITED",
"sub_status": null,
"liability": "מוגבלת",
"entity_kind": "חברה",
"last_annual_report_year": 2006,
"violates_law": null,
"purpose": "לעסוק בסוגי עיסוק שפורטו בתקנון",
"description": null,
"government_company": false
},
{
"registration_number": "511894560",
"name": "נחוח הטבע תעשיות מזון בע\"מ",
"status": "חיסול ע\"י בימ\"ש",
"address": null,
"url": null,
"company_type": "ישראלית",
"incorporation_date": "1993-12-16",
"name_en": null,
"sub_status": null,
"liability": "מוגבלת",
"entity_kind": "חברה",
"last_annual_report_year": 2009,
"violates_law": null,
"purpose": "לעסוק בסוגי עיסוק שפורטו בתקנון",
"description": null,
"government_company": false
}
],
"total_found": 3,
"page_count": 1,
"blocked": false,
"proxy_traffic_bytes": 2164
},
"total_points": 2
}Company Registries
Israel companies search
Search the Israel company registry (Corporations Authority) by company name or company number: name, registration number, status, address, company type and registration date. 1 point per returned record.
POST
/
functions
/
v1
/
run-il-companies-search
Israel companies search
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Company name or number. e.g. טבע תעשיות
Max items (up to 250)
Required range:
1 <= x <= 250Starting page
Required range:
x >= 1Status. Options: active = Active, inactive = Inactive / dissolved
Available options:
active, inactive Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.